import { ProfileViewModel } from '@app/ui/profiles/profile.presenter.model';
import { Profile } from '@app/domain/profiles/profile.model';

export class ProfilePresenter {
  static toViewModel(profile: Profile): ProfileViewModel {
    return {
      id: profile.id,
      fullName: profile.profession.toUpperCase(), // ❗ exemple volontaire
      isVerifiedLabel: profile.estVerifier ? '✅ Vérifié' : '❌ Non vérifié',
      createdAtFormatted: new Date(profile.created).toLocaleDateString(),
      avatarUrl: '',
      estVerifier: profile.estVerifier,
      utilisateur: profile.utilisateur,
      profession: profile.profession,
      secteur: profile.secteur,
      reseaux: profile.reseaux,
      apropos: profile.apropos,
      projets: profile.projets,
      cv: profile.cv,
      bio: profile.bio,
    };
  }

  static toViewModels(profiles: Profile[]): ProfileViewModel[] {
    return profiles.map(this.toViewModel);
  }
}
